EDIT - bug #6072

Implement getTaxonomicGroups for Edaphobase

09/12/2016 05:07 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

Gibt eine Liste (id + Name) mit allen taxonomischen GroBgruppen zurlick. Beispielsweise Collembola

Subtasks:

feature request # 6134: Allow grouping by Taxonomische GroB3gruppe

task # 6135: Remove authors from Taxonomische Gro3gruppe

Closed
Closed

Related issues:

Related to EDIT - bug #6071: Handle Taxonomische Grof3gruppen correctly in Eda... Closed

Associated revisions

Revision 65b68496 - 09/16/2016 05:30 PM - Andreas Miiller
fix #6072 Implement findldentifiableEntityByMarkers

Revision 35cc0406 - 09/16/2016 07:03 PM - Andreas Miiller

ref #6072 fix compilation issue in lldentifiableEntityService

Revision 395b33fe - 09/16/2016 07:31 PM - Andreas Miiller

ref #6072 fix signature issue in remote

Revision 67c1061b - 09/16/2016 07:56 PM - Andreas Miiller

ref #6072 fix signature issue in remote (2nd try)

Revision 34bb1837 - 09/16/2016 10:35 PM - Andreas Miiller

ref #6072 set defaults to false and hardcode includeEntity to true for debugging

Revision 9f53e2a3 - 09/16/2016 11:18 PM - Andreas Miiller

ref #6072 test missing entity in webservice

Revision 70052603 - 09/17/2016 07:04 AM - Andreas Miiller

ref #6072 test missing entity in webservice

Revision 1e8a54ff - 10/07/2016 10:23 AM - Andreas Miiller
fix #6072 Implement findldentifiableEntityByMarkers

Revision c46bcf17 - 10/07/2016 10:23 AM - Andreas Miiller

ref #6072 fix compilation issue in lldentifiableEntityService

Revision 5dd4feb8 - 10/07/2016 10:23 AM - Andreas Miiller

ref #6072 fix signature issue in remote

Revision 51104162 - 10/07/2016 10:23 AM - Andreas Miiller

ref #6072 fix signature issue in remote (2nd try)

Revision ¢70c5dcb - 10/07/2016 10:23 AM - Andreas Miiller
ref #6072 set defaults to false and hardcode includeEntity to true for debugging

Revision 5¢95a5bf - 10/07/2016 10:23 AM - Andreas Miiller

ref #6072 test missing entity in webservice

Revision 0cf72dcb - 10/07/2016 10:23 AM - Andreas Miiller

ref #6072 test missing entity in webservice

Revision 8acdc0b7 - 12/05/2016 09:43 AM - Andreas Miiller
fix #4594 fix includeEntity issue for findByMarker and findByldentifier methods

History

#1 - 09/12/2016 05:08 PM - Andreas Miiller
- Parent task changed from #5500 to #6064

#2 - 09/12/2016 05:09 PM - Andreas Miiller
- Related to bug #6071: Handle Taxonomische GroB3gruppen correctly in Edaphobase added

#3 - 09/16/2016 05:30 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib:commit:cdmlib|65b68496361721de9312edbb53f02ecb2c77b12b.

#4 - 09/23/2016 02:29 PM - Andreas Miiller
- % Done changed from 50 to 80

#5 - 09/23/2016 02:40 PM - Andreas Miuller

This has been solved by implementing findByMarker similar to findByldentifier.

Example:

http://test.e-taxonomy.eu:80/cdmserver/edaphobase_test/taxon/findByMarker?markerType=34204192-b41d-4857-a1d4-28992bef2a2a&includeEntit

=true

#6 - 09/23/2016 02:41 PM - Andreas Miiller
- % Done changed from 80 to 70

Open issue: handle includeEntity correctly

#7 - 10/07/2016 11:13 AM - Andreas Miiller
- % Done changed from 70 to 50

Applied in changeset cdmlib:commit:cdmlib|1e8a54ffa558ce07fa340c307d6ec447a8f66d40.

#8 - 12/05/2016 10:33 AM - Andreas Miiller

includeEntity=true should now be fixed

#9 - 12/05/2016 10:33 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#10 - 12/05/2016 10:35 AM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.3

#11 - 01/20/2017 05:30 PM - Andreas Miiller
- Tags set to edapho

#12 - 03/17/2017 01:20 AM - Andreas Miuiller
http://test.e-taxonomy.eu:80/cdmserver/edaphobase_test/taxon/findByMarker?markerType=34204192-b41d-4857-a1d4-28992bef2a2a&includeEntity=true
http://test.e-taxonomy.eu:80/cdmserver/edaphobase_test/taxon/findByMarker?markerType=34204192-b41d-4857-a1d4-28992bef2a2a&includeEntity=true

- Target version changed from Release 4.3 to Release 4.4

#13 - 05/30/2018 10:03 AM - Andreas Miiller

- Status changed from Resolved to Closed

| expect this to be fixed. Reopen if not true after being tested by edapho crew.
